xine-lib: xine-lib-1.2.12/include/xine/resample.h File Reference

xine-lib 1.2.12

Macros | Functions
resample.h File Reference
`#include <xine/attributes.h>`
`#include <xine/os_types.h>`

Go to the source code of this file.

## Macros
#define | RESAMPLE_MAX_CHANNELS 6

## Functions
void | _x_audio_out_resample_stereo (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_mono (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_4channel (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_5channel (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_6channel (int16_t *last_sample, int16_t *input_samples, uint32_t in_samples, int16_t *output_samples, uint32_t out_samples)
void | _x_audio_out_resample_8to16 (int8_t *input_samples, int16_t *output_samples, uint32_t samples)
void | _x_audio_out_resample_16to8 (int16_t *input_samples, int8_t *output_samples, uint32_t samples)
void | _x_audio_out_resample_monotostereo (int16_t *input_samples, int16_t *output_samples, uint32_t frames)
void | _x_audio_out_resample_stereotomono (int16_t *input_samples, int16_t *output_samples, uint32_t frames)

## Macro Definition Documentation

## ◆ RESAMPLE_MAX_CHANNELS

#define RESAMPLE_MAX_CHANNELS 6

## Function Documentation

## ◆ _x_audio_out_resample_16to8()

void _x_audio_out_resample_16to8 | ( | int16_t * | input_samples,
|  | int8_t * | output_samples,
|  | uint32_t | samples
| ) |  |

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_4channel()

void _x_audio_out_resample_4channel | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples
| ) |  |

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_5channel()

void _x_audio_out_resample_5channel | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples
| ) |  |

## ◆ _x_audio_out_resample_6channel()

void _x_audio_out_resample_6channel | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples
| ) |  |

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_8to16()

void _x_audio_out_resample_8to16 | ( | int8_t * | input_samples,
|  | int16_t * | output_samples,
|  | uint32_t | samples
| ) |  |

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_mono()

void _x_audio_out_resample_mono | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples
| ) |  |

Referenced by prepare_samples(), and stretch_process_fragment().

## ◆ _x_audio_out_resample_monotostereo()

void _x_audio_out_resample_monotostereo | ( | int16_t * | input_samples,
|  | int16_t * | output_samples,
|  | uint32_t | frames
| ) |  |

Referenced by prepare_samples().

## ◆ _x_audio_out_resample_stereo()

void _x_audio_out_resample_stereo | ( | int16_t * | last_sample,
|  | int16_t * | input_samples,
|  | uint32_t | in_samples,
|  | int16_t * | output_samples,
|  | uint32_t | out_samples
| ) |  |

Referenced by prepare_samples(), and stretch_process_fragment().

## ◆ _x_audio_out_resample_stereotomono()

void _x_audio_out_resample_stereotomono | ( | int16_t * | input_samples,
|  | int16_t * | output_samples,
|  | uint32_t | frames
| ) |  |

Referenced by prepare_samples().